package mdl

import (
	"time"
)

type Garden struct {
	Id          string
	CreatedAt   time.Time
	UpdatedAt   time.Time
	Name        string
	Picture     string
	GardenTasks []*GardenTask
	Plantations []*Plantation
}

func (this *Garden) AppendGardenTask(gardenTask *GardenTask) {
	this.GardenTasks = append(this.GardenTasks, gardenTask)
}
func (this *Garden) AppendPlantation(plantation *Plantation) {
	this.Plantations = append(this.Plantations, plantation)
}
func (this *Garden) GetId() string {
	return this.Id
}
